<?php
	session_start();
	//include_once("dBug.php");	
	//new dBug($_SESSION);
	if (!isset($_SESSION['userid']))
		{
		// User is not logged in
		header("Location:login.php");
		die();
	}
	
	if ($_SESSION['key_contact'] != '1'){
		header("Location:noaccess.php");
		die();
	}

?>

<!DOCTYPE html>
<html>
<head>
<style type="text/css">
	div.indent { margin-left: 20px; margin-top:10px; }
	label { display: inline-block; width: 200px; };
</style>
<script src="https://www.auburn.edu/administration/facilities/includes/dhtmlx/codebase-js/dhtmlx.js" type="text/javascript" charset="utf-8"></script>
<script src="https://www.auburn.edu/administration/facilities/includes/dhtmlx/codebase-js/dhtmlxdataprocessor.js" type="text/javascript" charset="utf-8"></script>
<script src="https://www.auburn.edu/administration/facilities/includes/dhtmlx/codebase-js/connector.js" type="text/javascript" charset="utf-8"></script>
<link rel="stylesheet" src="https://www.auburn.edu/administration/facilities/includes/dhtmlx/codebase-js/dhtmlx.css" type="text/css" charset="utf-8">
<link rel="stylesheet" href="https://www.auburn.edu/administration/facilities/includes/dhtmlx/skins/skyblue/dhtmlx.css" type="text/css" charset="utf-8">
<title>AU Facilities Management Notification System - Manage Client Key Contacts</title>

<!--#include virtual="/administration/facilities/includes/standard-head.txt" -->

<script>
	function setSessionVariable(variable,value){
		if (window.XMLHttpRequest){// code for IE7+, Firefox, Chrome, Opera, Safari
			xmlhttp=new XMLHttpRequest();
		}
		else{// code for IE6, IE5
			xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
		}
		url = "session_write.php?" + variable + "=" + value;
		//alert(url);
		xmlhttp.open("GET",url,false);
		xmlhttp.send();
	}

	function ecbSelect(){
		building = document.getElementById("EmergencyContactBuilding").value;
		mygrid2.clearAll();
		if (building != "") {
			setSessionVariable("user_mode","ebc");				
			setSessionVariable("ecbldg",building);				
			mygrid2.load("user-connector.php");
		}
	}
	
	
</script>

</head>
<body>

<?php
	// open database and perform various SQL statements for populating the form.
    $Host = "oitss3.auburn.edu:3433";
	$User = "facweb";
	$Pass = "adap3fwrs";
	
	$DB1 = "AFM_PROD";

    $dbhandle = mssql_connect($Host, $User, $Pass, true)
                or die("Couldn't connect to SQL Server on $Host."); 

	$selected = mssql_select_db($DB1, $dbhandle)
                or die("Couldn't open database $DB1");

	// get notified buildings from preferences
	
	//$building_list = mssql_query("SELECT bldg_bldg FROM [ec_user_bldg] WHERE [user_id] = '" . $userid . "';");
	
	// get notified buildings for org
	
	$query = "SELECT row_number() OVER (ORDER BY rm_v.l2_id, rm_v.l3_id, rm_v.blname) n, rm_v.l2_id, rm_v.l3_id, rm_v.l3name, rm_v.bl_id, rm_v.blname, bl.address1 FROM bl INNER JOIN rm_v ON bl.bl_id = rm_v.bl_id WHERE (((rm_v.bl_status)='active')) AND (l3_id = '" . $attr3 . "') GROUP BY rm_v.l2_id, rm_v.l3_id, rm_v.l3name, rm_v.bl_id, rm_v.blname, bl.area_gross_ext, bl.address1, rm_v.site_id HAVING (((dbo.rm_v.l2_id)=12 Or (dbo.rm_v.l2_id)=11 Or (dbo.rm_v.l2_id)=10) AND ((dbo.rm_v.site_id)='aa' Or (dbo.rm_v.site_id)='ac' Or (dbo.rm_v.site_id)='na' Or (dbo.rm_v.site_id)='AP' Or (dbo.rm_v.site_id)='NC')) ORDER BY rm_v.blname;";
	
	$building_list = mssql_query($query);
	
    mssql_close($dbhandle);
?>


<!--#include virtual="/administration/facilities/includes/standard-body-top.txt" -->
<!--#include virtual="navmenu.txt" -->
<!--#include virtual="/administration/facilities/includes/standard-body-content-top.txt" -->
<p class="breadcrumb"><a href="http://www.auburn.edu/administration/facilities">Facilities</a>
				&gt; <a title="Facilities Management Notification System" target="_parent" href="http://www.auburn.edu/administration/facilities/notification/">Facilities Management Notification System</a>
		&gt; Manage Client Key Contacts</p>
<h1>Manage Client Key Contacts</h1>
<form method="post" name="usersform" action="updateusers.php" onsubmit="">
<!-- <h3>Key Contacts</h3> -->

Key Contacts are contacts specified for each college or department who are points of contact for Facilities Management.  These contacts help gather and maintain information about critical equipment and are responsible for keeping the emergency contacts for each building up to date.  Below are those who have registered to receive updates within your organization.  Select those who should be Key Contacts for your organization.<br/>
<br/>

<div class="row">
    <div class="col-sm-1"></div>
	<div class="col-sm-11" style="background-color:white;">
		<div id="keygridbox" height="250px" ></div>
	</div>
</div>

<script>

	function loadBuildingPrefs(){
	/*	<?php
			while($row = mssql_fetch_array($not_bldg_list)){
				//echo "alert('bldg selected: " . $row['bldg_bldg'] . "');";
				echo "mygrid.cells('" . $row['bldg_bldg'] . "',0).setValue('1');";
			}
		?>  */
	}

	var mygrid1 = new dhtmlXGridObject('keygridbox');
	mygrid1.setImagePath("../includes/dhtmlx/codebase-js/imgs/");
	mygrid1.setHeader("Key, Name, Title, Office Phone, Cell Phone");
//	mygrid.attachHeader("#connector_text_filter,#connector_text_filter,#connector_text_filter,#connector_text_filter,#connector_text_filter")
	mygrid1.setInitWidths("30,125,125,125,*")
	mygrid1.setColTypes("ch,ro,ro,ro,ro");
//	mygrid1.setColSorting("connector,connector,connector,connector,connector")
//	mygrid1.enableSmartRendering(true)
//	mygrid1.enableMultiselect(true)
	mygrid1.init();
	setSessionVariable("user_mode","key");				
	mygrid1.load("user-connector.php",loadBuildingPrefs);

	myDataProcessor = new dataProcessor("updateusers.php"); //lock feed url
	//myDataProcessor.attachEvent("onAfterUpdate",function(nodeId,cType,newId){
	//	alert("Item was "+cType+"ed. Item id is " + newId)
	//});
	
	myDataProcessor.init(mygrid1); //link dataprocessor to the grid

</script>
<br><br><br><br><br><br>
<!--

<br/>

<h3>Building Emergency Contacts</h3>

Building Emergency Contacts are those contacts that should be called when there is an emergency in their building.  Select a building to view/update Emergency Contacts for that building:</br>
<br/>
<div class="row">
    <div class="col-sm-1"></div>
	<div class="col-sm-11">
		<select id="EmergencyContactBuilding" name="EmergencyContactBuilding" style="width:100%; font-size:13px;" onchange="ecbSelect();"><option value="">Select a building...</option>
		<?php
			while($row = mssql_fetch_array($building_list)){
				echo "<option value=\"" . $row['bl_id'] . "\">" . $row['blname'] . "</option>";
			}
		?>
		</select>
	</div>
</div>
<br/>
<div class="row">
    <div class="col-sm-1"></div>
	<div class="col-sm-11" style="background-color:white;">
		<div id="ebcgridbox" height="250px" ></div>
	</div>
</div>

<script>

	var mygrid2 = new dhtmlXGridObject('ebcgridbox');
	mygrid2.setImagePath("../includes/dhtmlx/codebase-js/imgs/");
	mygrid2.setHeader(", Name, Title, Office Phone, Cell Phone");
//	mygrid2.attachHeader("#connector_text_filter,#connector_text_filter,#connector_text_filter,#connector_text_filter,#connector_text_filter")
	mygrid2.setInitWidths("30,125,125,125,*")
	mygrid2.setColTypes("ch,ro,ro,ro,ro");
//	mygrid2.setColSorting("connector,connector,connector,connector,connector")
//	mygrid2.enableSmartRendering(true)
//	mygrid2.enableMultiselect(true)
	mygrid2.init();

</script>


<br/>
    <div class="row" style="padding-top:25px;">
      <div class="col-sm-3"></div>
      <div class="col-sm-3">
		<input type="submit" value="Update Users">
	  </div>
      <div class="col-sm-3">
		<a href="login.php"><input type="button" value="Cancel"></a>
	  </div>
      <div class="col-sm-3"></div>
	</div> 
-->
</form>


<!--#include virtual="/administration/facilities/includes/standard-body-end.txt" -->

<script>
	has_access = "<?php echo $_SESSION['key_contact'] ?>";
	if (has_access == "1") {
		document.getElementById("mnu-key").style.display = "block";
		document.getElementById("mnu-equipment").style.display = "block";
	}
</script>


</body>
</html>